Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get a smart listing

Retrieves a specific smart listing by its ID

GET/api/v1/{team_slug}/{app_slug}/smart-listings/{listing_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

listing_idstringrequired

id for the smart-listing to fetch

Responses
200

smart-listing returned successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.SmartListingrequired
Show properties
created_atstring
idstring
rulesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ListingRule[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.ListingRule
idstring
operatorgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ListingRuleOperatorrequired
Allowed:less-thangreater-thanequalnot-equalcontains
targetgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ListingRuleTargetrequired
Allowed:stockpricetitleattributecategory
target_idstring | null

used for warehouse stock validation

value_floatnumber | null
value_liststring[] | null
value_stringstring | null
slugstring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Could not find smart-listing to update

detailsstring[]
messagestring
successbooleanrequired
422

Invalid request and not parsable by backend

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/smart-listings/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "created_at": "string",
    "id": "string",
    "rules": [
      {
        "id": "string",
        "operator": "less-than",
        "target": "stock",
        "target_id": "string",
        "value_float": 0,
        "value_list": [
          "string"
        ],
        "value_string": "string"
      }
    ],
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}